function link(linkId, param)
{
  switch(linkId)
  {
    case 'home':                      location.href = 'index.html'; break;
    case 'about us':                  location.href = 'about.html'; break;
    case 'contact':                   location.href = 'contact.html'; break;
    case 'performing':                location.href = 'perform.html'; break;
    case 'not performing':            location.href = 'notperform.html'; break;
    case 'effective':                 location.href = 'effective.html'; break;
    case 'adequate':                  location.href = 'adequate.html'; break;
    case 'moderately effective':      location.href = 'modeffective.html'; break;
    case 'ineffective':               location.href = 'ineffective.html'; break;
    case 'results not demonstrated':  location.href = 'rnd.html'; break;
    case 'search alternate':          location.href = ''; break;
    case 'funding spreadsheet':       location.href = 'http://www.whitehouse.gov/omb/budget/fy2007/sheets/part.xls'; break;
    case 'faq':                       location.href = 'faq.html'; break;
    case 'privacy':                   window.open('http://www.whitehouse.gov/privacy.html'); break;
    case 'site map':                  location.href = 'map.html'; break;
    case 'accessibility':             window.open('http://www.whitehouse.gov/accessibility.html'); break;
    case 'foia':                      window.open('http://www.whitehouse.gov/omb/foia/index.html'); break;
    case 'rating':                    var w=window.open('rating.html', 'null', 'height=410,width=550,resizable=yes,scrollbars=yes,status=yes,toolbar=yes,menubar=yes,location=no'); w.focus(); break;
    case 'plans':                     var w=window.open('plans.html', 'null', 'height=410,width=550,resizable=yes,scrollbars=yes,status=yes,toolbar=yes,menubar=yes,location=no'); w.focus(); break;
    case 'detail-tips':               var w=window.open('detailtips.html', 'null', 'height=410,width=550,resizable=yes,scrollbars=yes,status=yes,toolbar=yes,menubar=yes,location=no'); w.focus(); break;
    case 'view similar programs':     window.open(viewSimilarProgramsLink(param)); break;
  }
}

function searchAction()
{
  return '/expectmore/query.html';
}
 

function viewSimilarProgramsLink(topicNames)
{
  topicNameArray = topicNames.split(', ');
  for(i = 0; i<topicNameArray.length; i++)
  {
    topicNameArray[i] = 'qp=topic:'+topicID(topicNameArray[i]);
  }
  
  return searchAction() + '?' + 'col=empics&' + topicNameArray.join('&');
}

function topicID(topicName)
{
  return topicIDs[topicName];
}

var topicIDs = {"Agriculture":"578780504",
                "Business and Commerce":"1377132707",
                "Community and Regional Development":"879419213",
                "Disaster Relief":"487627963",
                "Education":"1456347538",
                "Energy":"1519891749",
                "Foreign Affairs":"1127952132",
                "Government Administration":"564589548",
                "Health and Well-Being":"1081270661",
                "Housing":"1605275854",
                "Law Enforcement":"1995568953",
                "National Security":"1712991827",
                "Natural Resources and the Environment":"1580900213",
                "Science and Space":"658594306",
                "Training and Employment":"757345967",
                "Transportation":"1633309208",
                "Veterans Benefits":"373419715"};

